<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Lab4</title>
  </head>

  <style>
      body{
          display: grid;
          align-items: center;
          justify-content: center;
          background-color: lightcyan;
          width: 100vw;
          height: 100vh;
      }
      .card {
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: min-content;
        grid-template-areas: "judul" "isi";
        border-radius: 18px;
        background:#009879;
        box-shadow: 5px 5px 10px rgba(0,0,0,0.9);
        font-family: sans-serif;
        text-align: center;
        color:whitesmoke;
        padding-top: 10px;
}


.card-judul {
  grid-area: judul;
}
.card-isi{
  grid-area: isi;
}

label.logo{
        color: antiquewhite;
        font-size: 30px;
        line-height: 80px;
        padding: 0 100px;
        font-weight: bold;
    }

    nav{
        background: rgb(228, 121, 183);
        width: 100%;
        border-radius: 40px;
        padding: 30px;
        box-sizing: border-box;
        font-family: sans-serif;
        font-weight: bold;
    }
    nav ul{
        padding-left: 70px;
    }
    nav ul li{
        display: inline-block;
    }
    nav ul li a{
        color:antiquewhite;
        font-size: 18px;
        border-radius: 4px;
        padding:7px 13px ;
        text-transform: uppercase;
        
    }

    a.active,a:hover{
        background-color: rgb(224, 87, 167);
        transition: .5s;
    }


  </style>

  <body>
    <nav>
        <label class="logo">Navigation Bar</label>
        <ul>
            <li><a class="active" href='/lab-4/'>Index</a></li>
            <li><a class="active" href="addnote">Form</a></li>
            <li><a class="active" href="notelist">Note List </a></li>
        </ul>
    </nav>
    
    <!-- TODO loop from Friend model -->
    {% if notes%}
    {% for note in notes %}  
    <div class="card">
        <div class="card-judul">
          Title:
        {{note.title}}<br>
        </div>
        <div class="card-isi">
            <span>To:</span>
            <span>{{note.to}}</span><br>
            <span>From:</span>
            <span>{{note.fromAsal}}</span><br>
            <span>Message:</span>
            <span>{{note.message}}</span><br> 
        </div>
        {% endfor %}
      {% endif %}
      <!-- END SECTION -->
    </div>
  </body>
</html>